property tableData : {{the_name:"Bart Simpson", the_image:missing value, the_city:"Springfield", the_zip:"19542", the_age:12}, {the_name:"Ally McBeal", the_image:missing value, the_city:"Boston", the_zip:"91544", the_age:28}, {the_name:"Joan of Ark", the_image:missing value, the_city:"Paris", the_zip:"53255", the_age:36}, {the_name:"King Tut", the_image:missing value, the_city:"Egypt", the_zip:"00245", the_age:45}, {the_name:"James Taylor", the_image:missing value, the_city:"Atlanta", the_zip:"21769", the_age:42}}
property tableData2 : {{the_name:"Judy Sorn", the_image:missing value, the_city:"NYC", the_zip:"25789", the_age:25}, {the_name:"Telly Sev", the_image:missing value, the_city:"Austin", the_zip:"21548", the_age:45}, {the_name:"Bill Bradski", the_image:missing value, the_city:"NYC", the_zip:"23569", the_age:88}, {the_name:"King Kong", the_image:missing value, the_city:"Sudan", the_zip:"74523", the_age:95}, {the_name:"Jimmy Hendrix", the_image:missing value, the_city:"San Francisco", the_zip:"45698", the_age:32}}
property the_arrow : missing value

on awake from nib the_object
	tell the_object to center
	set the_arrow to load image "arrow"
	my load_data(tableData)
	show window "main"
end awake from nib

on clicked the_object
	set object_name to name of the_object as Unicode text
	if object_name = "quit" then
		quit
	else if object_name = "data1" then
		my load_data(tableData)
	else if object_name = "data2" then
		my load_data(tableData2)
	end if
end clicked

on should quit after last window closed the_object
	return true
end should quit after last window closed

on load_data(the_data)
	tell window "main"
		set the_data_source to data source of table view "myTableView" of scroll view "myScrollView"
		tell the_data_source
			try
				delete data rows
			end try
			try
				delete data columns
			end try
			make new data column at end of data columns with properties {name:"the_name"}
			make new data column at end of data columns with properties {name:"the_image"}
			make new data column at end of data columns with properties {name:"the_city"}
			make new data column at end of data columns with properties {name:"the_zip"}
			make new data column at end of data columns with properties {name:"the_age"}
		end tell
		append the_data_source with the_data
		set contents of data cell "the_image" of data rows of the_data_source to the_arrow
		tell table view "myTableView" of scroll view "myScrollView" to update
	end tell
end load_data